Bug 110618 - init files use deprecated parameters
Summary: init files use deprecated parameters
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Raw Hide
Classification: Retired
Component: net-snmp   
(Show other bugs)
Version: 1.0
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Phil Knirsch
QA Contact: David Lawrence
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2003-11-21 19:33 UTC by Kaj J. Niemi
Modified: 2015-03-05 01:13 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-11-26 10:56:12 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Fix for net-snmpd.init (311 bytes, patch)
2003-11-21 19:34 UTC, Kaj J. Niemi
no flags Details | Diff
Fix for net-snmptrapd.init (327 bytes, patch)
2003-11-21 19:35 UTC, Kaj J. Niemi
no flags Details | Diff

Description Kaj J. Niemi 2003-11-21 19:33:54 UTC
Description of problem:
By default both net-snmpd.init and net-snmptrapd.init specify
parameters to snmpd/snmptrapd which seem to be deprecated in 5.1.

I'm attaching diffs for both files (against the ones included with the
net-snmp-5.1-1 .src.rpm). The functionality remains, a bunch of
warnings from the facility handling LOG_DAEMON (by default
/var/log/messages I think?) just disappear.


Version-Release number of selected component (if applicable):
net-snmp-5.1-1

How reproducible:
Always

Comment 1 Kaj J. Niemi 2003-11-21 19:34:41 UTC
Created attachment 96126 [details]
Fix for net-snmpd.init

Comment 2 Kaj J. Niemi 2003-11-21 19:35:03 UTC
Created attachment 96127 [details]
Fix for net-snmptrapd.init

Comment 3 Phil Knirsch 2003-11-26 10:56:12 UTC
OK, fixed in net-snmp-5.1-2 and later.

Read ya, Phil


Note You need to log in before you can comment on or make changes to this bug.